Subject: [[email-masked]: Re: list of supporting WMs and their status]

From: Dominik Vogt <[email-masked]>
Date: Tue, 14 Oct 2003 09:54:13 +0200

Anybody who wants to provide the fvwm info?

----- Forwarded message from Lubos Lunak <[email-masked]> -----

From: Lubos Lunak <[email-masked]>
To: [email-masked]
Subject: Re: list of supporting WMs and their status
Date: Mon, 13 Oct 2003 17:52:05 +0200
X-Spam-Level: 

On Friday 29 of August 2003 17:06, Havoc Pennington wrote:
> On Fri, Aug 29, 2003 at 04:22:44PM +0200, Lubos Lunak wrote:
> >  Hello,
> >
> >  one more thing: While testing the menus and toolbars, I realized (again)
> > that it would be useful if there was available a list of all WMs that
> > (try to ;) ) support the WM spec, and their status. For example, I'd add
> > KWin and
> > http://webcvs.kde.org/cgi-bin/cvsweb.cgi/kdebase/kwin/COMPLIANCE. It
> > wouldn't need to be necessarily so detailed, just pointing to the right
> > .c* file or similar would do too.
> >
> >  And given that it probably shouldn't be part of the spec, but rather
> > another html page, I don't know how to do it. Could whoever knows say how
> > to do it?
>
> Are you asking where you could put the html? Pretty much just drop it
> in to cvs, module web/*
>
> Once we move to the new freedesktop.org machine, I think there will
> also be a web-based wiki interface. May happen in the next week or so.

 I added a table to the wm-spec main page, I hope it's ok that way. As it's 
currently listing only one WM, please make sure it doesn't feel too lonesome 
there :).

 The details entry is meant rather for us developers, so that if e.g. somebody 
wants to check some problem related to fullscreen windows handling, they can 
just check the table and grep the details file for _NET_WM_STATE_FULLSCREEN. 
That is, e.g. for FVWM just saying fvwm/fvwm/ewmh.c is ok.

 BTW - is the wiki not restricted at all? I just created a wiki account, and 
could immediately modify the page.
----- End forwarded message -----

Ciao

Dominik ^_^  ^_^
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]